# imakefile(9)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## SYNOPSIS

imakefile - Make file

## FILES

hkimake.emf - Imakefile hook definition
imake.etf - Template file

## EXTENSIONS

Imakefile, imakefile - Imakefiles.

## DESCRIPTION

The Imakefile file type template handles the hilighting of the Imakefile files.

General Editing

On creating a new file, a new header is automatically included into the file. time(2m) is by default enabled, allowing the modification time-stamp to be maintained in the header.

By default, `TAB`'s are enabled as this is the syntactical feature of the file.

Hilighting

The hilighting emphasizes the keywords and comments within the Imakefile.

## BUGS

No attempt is made to hilight any embedded shell commands.

## SEE ALSO

makefile(9), time(2m).

Supported File Types

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>